Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 6008

Summary: screen is completely unusable
Product: [Retired] Red Hat Linux Reporter: chauvin
Component: screenAssignee: Bill Nottingham <notting>
Status: CLOSED WONTFIX QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 6.1CC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-11-01 18:52:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description chauvin 1999-10-16 23:19:18 UTC
screen is _completely unusable_ under rh6.1.

for example, try the following:

% screen
CNTRL-a d

% screen -ls

no screens are seen even though the sockets appear to have
been created.  what's worse is that the screen session
itself goes into an inifinite loop at this point.

workaround:  the version shipped with rh 6.0 works well.

question:  the new version puts the screen sockets in the
home directory (which can be NFS mounted for many users).
why the change from the previous versions in which
/tmp/screens was used for this purpose?

Comment 1 Bill Nottingham 1999-10-17 04:06:59 UTC
Hmm... can't reproduce this here. The sequence you mention
correctly shows one detached screen socket.

Do you have /dev/pts mounted?

As for the moving the screen sockets into the home directory,
it's to avoid security issues with having them in /tmp.

Comment 2 Bill Nottingham 1999-10-18 13:26:59 UTC
According to the kernel folks, NFSv2 doesn't specify named
pipes, so the behavior is undefined. NFSv3 does. So that
would be the problem.

Comment 3 Bill Nottingham 1999-10-29 20:33:59 UTC
In this case, I think the only thing we can suggest is to
build screen to not use home directories for cases like this.